
import UIKit

class ViewController: UIViewController {
    @IBOutlet weak var mainScroll: UIScrollView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        let imgView = UIImageView(image: UIImage(named: "doll"))
        let imgWidth = imgView.frame.size.width
        let imgHeight = imgView.frame.size.height
        mainScroll.contentSize = CGSize(width: imgWidth, height: imgHeight)
        mainScroll.addSubview(imgView)
        
        let logoView = UIImageView(frame: CGRect(x: 25, y: 25, width: 249, height: 249))
        logoView.image = UIImage(named: "logo")
        mainScroll.addSubview(logoView)
    }
}
