
import UIKit

class ViewController: UIViewController, UIScrollViewDelegate {
    @IBOutlet weak var mainScroll: UIScrollView!
    var imgView: UIImageView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        mainScroll.delegate = self
        
        imgView = UIImageView(image: UIImage(named: "doll"))
        let imageWidth = imgView.frame.size.width
        let imageHeight = imgView.frame.size.height
        
        mainScroll.minimumZoomScale = 1.0
        mainScroll.maximumZoomScale = 4.0
        
        mainScroll.contentSize = CGSize(width: imageWidth, height: imageHeight)
        mainScroll.addSubview(imgView)
    }
    func viewForZooming(in scrollView: UIScrollView) -> UIView? {
        return imgView
    }
}
